繁体   English   中英

错误:无法使用Gradle安装'C:\\ Program Files \\ Android \\ Android Studio1 \\ gradle \\ gradle-2.2.1'运行构建操作

Error:Could not run build action using Gradle installation 'C:\Program Files\Android\Android Studio1\gradle\gradle-2.2.1'

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我刚刚在Windows 8.1 64位上安装了android studio 1.0 RC2,但是当我尝试创建一个新项目时,它说错误:无法使用Gradle安装'C:\\ Program Files \\ Android \\ Android Studio1 \\ gradle \\ gradle-运行构建操作2.2.1'。,请帮我解决这个问题,我真的陷入了这个困境

2 个回复

尝试这个:

1)文件 - >无效缓存/重启

2)关闭Android Studio

3)删除用户主目录中的.gradle文件夹

4)重新启动Android Studio,让它下载所需的所有Gradle内容

5)Gradle建立成功!

6)重建项目......成功!

我们有两个着名的方法来解决这个问题:

1-更新gradle:

第1步:

获取Android Studio支持的最新版本:

https://services.gradle.org/distributions

第2步:

解压缩gradle文件并安装到dists文件夹(gradle文件夹):默认位置为:C:\\ Users [username] \\ gradle \\ wrapper \\ dists

第3步:

打开Android Studio:文件/设置/ Gradle /服务目录路径:(更改为您在上面设置的文件夹)并单击确定。

底部的状态应该表明它很忙并且应该修复错误。

第四步:

重启Android Studio

2-删除.gradle文件夹:

默认位置是:

C:\\用户[用户名] \\ gradle这个\\包装\\ dists中

之后打开Android Studio并制作一个新项目(可能需要reastart)。

1 无法使用 Gradle 安装 '...\\gradle-5.4.1' 运行分阶段构建操作

我正在尝试在 Eclipse 中设置一个 Java 项目,该项目使用 Gradle 进行构建以及一些自定义的 Groovy 代码进行构建(放置 - 像往常一样 - 在 buildSrc 下)。 因此,我首先从现有代码创建了一个 Java 项目,然后另外将“Gradle 性质”分配给了该项目。 从那以 ...

9 无法使用与Gradle发行版'https://services.gradle.org/distributions/gradle-6.8.1-all.zip'的连接来运行分阶段的构建操作

我正在尝试手动更新Minecraft mod /更新不推荐使用的mod,并且我已经更改了build.gradle以匹配我需要的Forge版本,并且它解决了一个原始错误,该错误是使用过时的gradle build我思考。 原来的错误是这样 但是我通过将gradle包装器属性更改为gradle版本来 ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM